---

- name: Install packages ol7
  ansible.builtin.package:
    name: s3cmd
    state: latest

- name: Getting database passwd information
  ansible.builtin.getent:
    database: passwd
  no_log: true
  tags: always

- name: Set s3cmd config
  ansible.builtin.template:
    src: s3cfg.j2
    dest: "{{ getent_passwd[s3cmd_user][4] }}/.s3cfg"
    owner: "{{ s3cmd_user }}"
    group: "{{ s3cmd_group | default(s3cmd_user) }}"
    mode: "0600"
  tags: config
